rakeを実行するとエラーが出る

rake about

とすると

rake aborted!
Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes.

こんな感じでエラーが出る。そんなときはしかたがないのでGemfileに次のgemを追加する。

gem 'execjs'
gem 'therubyracer'

Gemfileを閉じたら、bundle installを実行してgemを更新。そうするとうまくいく。therubyracerに関しては、ぐぐったらそれが先に出たから使ってるが、別に他の演じんでも構わない。いろいろやって行く先で決めていけばいいと思う。

ブックマーク パーマリンク.

コメントを残す

メールアドレスが公開されることはありません。